MODE2(1)

NAME
mode2, smode2, xmode2 - shows the pulse/space length of infrared signals

SYNOPSIS
xmode2 [options]

DESCRIPTION
The main purpose of these programs is to check operation of your home-brew LIRC receiver hardware and to see the IR waveform of the remote controller without an expensive oscilloscope. Very useful for debugging. Of course this program won't work with hardware that decodes the signals itself like e.g. TV cards or the Irman. xmode2 is based on smode2 by Sinkovics Zoltan. It is just a conversion from svga to X with some basic support for resizing. The only differences are that the --mode option enables an alternative display mode and that xmode2 can read and visualise mode2 output from stdin.

-h --help
    display usage summary

-v --version
    display version

-d --device=device
    read from given device

-H --driver=driver
    use given driver

-g --geometry=geometry window geometry

-t --timediv=value
    ms per unit

-m --mode
    enable alternative display mode

-r --raw
    access device directly

SEE ALSO
mode2(1), smode2(1), xmode2(1) The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.